Page MenuHomeFreeBSD

Add deprecation notices for all rcmd tools
ClosedPublic

Authored by allanjude on Jul 3 2017, 11:51 PM.

Details

Summary

These tools will be removed from head. This warning will be MFC'd to
stable/10 and stable/11 in time for their next releases.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

allanjude created this revision.Jul 3 2017, 11:51 PM
emaste edited edge metadata.Jul 4 2017, 1:11 AM

Do we want to be explicit about being removed from future versions of the FreeBSD base system?

emaste added a comment.Jul 4 2017, 1:13 AM

Also should we mention installing the package? Maybe the net/bsdrcmds port or package? I'm not sure what would be most clear there.

Do we want to be explicit about being removed from future versions of the FreeBSD base system?

I thought "base system" was redundant, but I see how it might be better to include it.

emaste added a comment.Jul 4 2017, 1:49 AM

Indeed; ports/packages are very much part of FreeBSD.

allanjude updated this revision to Diff 30388.Jul 4 2017, 1:52 AM

Update with feedback from emaste

emaste accepted this revision.Jul 4 2017, 1:53 AM

This version seems fine to me.

This revision is now accepted and ready to land.Jul 4 2017, 1:53 AM
jlh accepted this revision.Jul 4 2017, 3:12 PM

Thanks Allan!

bapt accepted this revision.Jul 4 2017, 3:37 PM
This revision was automatically updated to reflect the committed changes.
peter reopened this revision.Jul 23 2017, 10:15 PM
peter added a subscriber: peter.

rwho / ruptime are *not* part of the rcmd suite.

rmcd(3) suite is: rsh, rlogin, rsh

rwho / ruptime are *not* in any way related to this.

This revision is now accepted and ready to land.Oct 3 2017, 6:14 AM
jlh requested changes to this revision.Oct 3 2017, 6:14 AM
This revision now requires changes to proceed.Oct 3 2017, 6:14 AM
allanjude accepted this revision.Nov 13 2017, 2:18 AM
allanjude removed a reviewer: jlh.
This revision is now accepted and ready to land.Nov 13 2017, 2:18 AM
allanjude closed this revision.Nov 13 2017, 2:18 AM